body {
    margin: auto;
}

section {
    margin: 15px;
}

.hide {
    display: none;
}


.errorlist {
    color: var(--danger);
}
.error {
    color: var(--danger);
}

#delete-point,
#delete-line {
    position: absolute;
}

.invisible {
    visibility: hidden;
}

.no-margin {
    margin: 0;
}

.click-through {
    pointer-events: none;
}

#seg-panel canvas {
    min-width: 10px;
    min-height: 10px;
    padding: 0;
    margin: 0;
}

/* .container { */
/*   margin-right: auto; */
/*   margin-left: auto; */
/*   max-width: 90%; */
/* } */

/* alerts */

#alerts-container {
    width: 400px;
    position: fixed;
    right: 10px;
    top: 60px;
    z-index: 5;
}

#alert-tplt {
    display: none;
}

#alerts-container .separator,
#alerts-container .additional {
    display: none;
}


/* document form */

.multi-proc span {
    line-height: 2rem;
}

form.inline-form {
    display: inline;
}

.import-counter-container {
    display: none;
}

.import-counter-container.ongoing {
    display: block;
}

#train-counter {
    display: none;
}

#train-counter.ongoing {
    display: block;
}

.js-metadata-row:last-of-type .js-metadata-delete {
    display: none;
}

.dropzone {
    border: 2px dashed #0087F7;
    border-radius: 5px;
    background: white;
}

#dropzone #advancedForm .form-group {
    margin-right: 30px;
}

#dropzone #advancedForm .card-footer {
    display: flex;
}

.dropable {
    z-index: 2;
    min-width: 10px;
    opacity: 0.5;
    /* background-color: blue; */
    display: inline-block;
}

.drop-target {
    /* box-sizing: border-box; */
    padding-right: 50px;
    padding-left: 50px;
    margin-left: -45px;
    margin-right: -45px;
}

.drop-accept {
    border: 2px dashed #0087F7;
}

#cards-container {
    overflow: auto;
}

#cards-container .card {
    padding: 0;
    cursor: grab;
    width: 183px;
    min-width: 150px;
}

#card-template {
    display: none;
}

.card.locked {
    border: 2px solid var(--dark);
}

.card-btns {
    width: 100%;
    position: absolute;
    bottom: 5px;
    text-align: center;
}

.card .card-btn {
    opacity: 0.2;
    margin: 5px;
    width: 90%;
}

.card .card-body {
    padding: 1rem;
}

.card .card-btn.js-cancel {
    display: none;
}

.card:hover .card-btn {
    opacity: 1;
}

.card .js-part-update-form {
    display: none;
}

.js-part-delete-form button {
    position: absolute;
    right: 0;
}

.js-card-select-hdl {
    position: absolute;
    left: 0;
    background-color: transparent;
    border: 0;
}

.process-part-form h5 {
    color: var(--secondary);
    text-align: center;
}

.process-part-form .help-text {
    padding: 0.5rem;
}

.help {
    cursor: pointer;
    color: var(--primary);
    text-shadow: 0 1px 0 #fff;
    background-color: transparent;
    float: right;
    opacity: .5;
}

.tools .notice {
    color: var(--warning);
    border: 1px solid;
    padding: .25rem .5rem;
    border-radius: .2rem;
    float: right;
}

.help.open:hover {
    opacity: 1;
}

.tools .help-text {
    z-index: 2;
    position: absolute;
    right: 0;
}

#viewer-container {
    margin: 0;
    padding: 0;
    overflow: hidden;
    background-color: #EEEEEE;
    border: 1px solid rgba(0, 0, 0, .125);
    display: none;
    /*  */
}

#viewer-buttons {
    position: absolute;
    top: 0;
    left: 0;
    z-index: 5;
    opacity: 0.3;
}

#viewer-buttons:hover {
    opacity: 1;
}

#viewer {
    padding: 0;
    margin: 0;
    position: relative;
    transform-origin: top left;
}

.box {
    position: absolute !important;
    cursor: pointer;
    overflow: hidden;
}

.box .close {
    display: none;
}

.block-box {
    opacity: 0.2;
    z-index: 2;
}

.line-box {
    z-index: 3;
    box-sizing: content-box;
}

.line-box:hover {
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 6px var(--secondary);
}

.box.selected {
    border: 1px dashed;
    outline: 9999px solid rgba(0, 0, 0, 0.5);
    z-index: 5;
}

.box.selected .close {
    display: inline;
}

.card .js-trans-progress {
    width: 100%;
    background-color: #EEEEEE;
    border-radius: 5px;
}

.card .js-trans-progress .progress-bar {
    color: var(--dark);
}

.card .ongoing,
.blink {
    animation-duration: 1s;
    animation-name: blink;
    animation-iteration-count: infinite;
    animation-direction: alternate;
}

@keyframes blink {
    from {
        opacity: 1;
    }
    to {
        opacity: 0.2;
    }
}

.card .proc.error {
    color: var(--danger);
}

.card .proc.pending {
    color: var(--secondary);
}

.card .proc.canceled {
    color: var(--warning);
}

.card .btn.proc {
    padding: 0;
}

.card .btn.proc:hover {
    color: var(--info);
}

.card .proc.done {
    color: var(--success);
}

.card .js-compressing {
    display: none;
}

.card .js-compressing.pending,
.card .js-compressing.ongoing {
    display: inline;
}

.card .js-compressing.done {
    display: none;
}

.ui-resizable-s {
    bottom: 0;
    /* mess with outline */
}

.ui-resizable-e {
    right: 0;
    /* mess with outline */
}


/* transcription interface  */
.nav-div {
    display: inline-block;
}

.nav-btn {
    font-size: 50px;
}

.nav-item #part-title {
    display: block;
    font-size: x-small;
    color: grey;
}

.col-sides {
    width: 30px;
    margin: 0 15px;
}


.tools {
    height: 45px;
    margin-bottom: 5px;
    /* overflow: hidden; */
}

i.panel-icon {
    vertical-align: top;
}

.img-container {
    position: relative;
    overflow: hidden;
    border: 1px solid lightgrey;
    width: 100%;
    height: 100%;
    transform-origin: 0 0;
}

.js-zoom-target {
    box-shadow: 1px 0 4px 1px rgba(0,0,0,0.1);
}

#zoom-range {
    height: 200px;
}

#part-trans,
#part-img {
    overflow: hidden;
    width: 100%;
    height: 100%;
    transform-origin: top left;
}

.zoom-container {
    position: relative;
    width: 100%;
}

.overlay {
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    position: absolute;
    background-color: transparent;
    outline: 9999px solid rgba(0, 0, 0, 0.1);
}

.panel {
    /* overflow: hidden; */
    width: 100%;
    padding: 0 10px;
    /* height: 100%; */
    position: relative;
}

.panel .content-container {
    border: 1px solid lightgrey;
    border-radius: 3px;
}

.panel .content-container .js-wheelzoom-container {
    min-height: calc(100vh - 200px);
}

.panel#diplo-panel .content-container {
    overflow-y: scroll;
    max-height: calc(100vh - 200px);
}

.panel .panel-img {
    width: 100%;
}

.panel .overlay {
    display: none;
}

#modal-img-container {
    width: 90%;
    position: relative;
    overflow: hidden;
    direction: ltr; /* compensate a firefox bug */
}

.panel #context-menu {
    border: 1px solid grey;
    border-radius: 5px;
    margin: 10px;
    position: fixed;
    transform: translateZ(0); /* css trick to fix to an element */
    display: none;
    z-index: 3;
}

.panel #context-menu button {
    display: block;
    width: 40px;
    opacity: 80%;
}

.panel #context-menu button:hover {
    opacity: 100%;
}

.panel #info-tooltip {
    border: 1px solid grey;
    border-radius: 5px;
    margin: 10px;
    padding: 0 5px;
    background-color: lightyellow;
    position: absolute;
    right: 10px;
    z-index: 3;
    display: none;
    opacity: 90%;
}

#trans-modal .modal-content {
    display: block;
}


#trans-modal #trans-input, #trans-rule, .compared-line {
    overflow: visible;
    margin-top: 1rem;
    white-space: nowrap;
    padding: 0 2px;
    transform-origin: top left;
    box-shadow: none;
}

#trans-modal #versions-help, #compare-help {
    position: absolute;
    right: 0;
    z-index: 1;
}

#trans-rule {
    visibility: hidden;
    position: absolute;
}

#trans-modal #history .d-table {
    border-spacing: 0 10px;
}
#trans-modal #history .d-table-cell {
    white-space: nowrap;
    padding: 0 10px;
}
#trans-modal #history .d-table-cell:first-child {
     padding-left: 0;
}
#trans-modal #history .d-table-cell:last-child {
     padding-right: 0;
}

#trans-modal .card-toggle.collapsed span:before
{
    content:'+';
    width:15px;
}
#trans-modal .card-toggle span:before
{
    content:'-';
    width:15px;
}

#trans-modal .modal-body{
    overflow: visible;
}
#trans-modal .modal-header{
    cursor: move;
}

#trans-modal #line-img {
    position: absolute;
}

.trans-box {
    position: absolute !important;
    background-color: transparent;
    margin: 0;
    padding: 0;
    cursor: pointer;
}

.trans-box:hover {
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 6px var(--secondary);
}

.trans-box span {
    white-space: nowrap;
    display: block;
    transform-origin: top left;
    max-height: 100%;
    width: 100%;
}

.trans-box span:empty {
    width: 100%;
    height: 100%;
    border: 1px solid lightgrey;
}

.notransition {
  -webkit-transition: none !important;
  -moz-transition: none !important;
  -o-transition: none !important;
  transition: none !important;
}

#be-settings-menu {
    width: max-content;
    padding: 10px;
}


#diplo-panel .content-container {
    overflow-y: auto;
}
#diplomatic-lines {
    counter-reset: line;
    line-clamp: 10;
}
#diplomatic-lines div {
    display: block;
    line-height: 1.7rem;
    overflow-wrap: break-word;
    margin-right: .5rem;
}

#diplomatic-lines div:before {
    height: 100%;
    text-align: center;
    counter-increment: line;
    display: inline-block;
    content: counter(line);
    border-right: 1px solid #ddd;
    margin-right: .5rem;
    margin-left: 0;
    width: 50px;
    color: #888;
}

#diplomatic-lines div.selected {
  background-color:#33A2FF;
  border: solid #33A2FF 1px;
}

#diplomatic-lines div.ghost {
  background-color: lightyellow;
}

.cmp-add {
    background-color: lightgreen;
}

.cmp-del {
    background-color: #FFAAAA;
}

#contact-form{
 width: 100%;
}
#reset-onboarding{
    margin-top: 5%;
}
